Subject: Fw: PO Box 5618 is still available
From: "Amber Blais" <[email-masked]>
To: "mike bishop" <[email-masked]>
Date: Thu, 3 Jul 2014 13:42:50 -0400

From: WHITE, CAROLYN K 
Sent: Thursday, July 03, 2014 12:38 PM
To: [email-masked]' 
Subject: PO Box 5618 is still available

Good afternoon, Amber, 

I received a response from FL that PO Box 5618, Tallahassee FL is available.  Mike goes on line to pay for and rent the boxes, I believe.  

I apologize that this response took so long.

If you have any questions, please do not hesitate to contact me.  Thank you for your assistance.

CAROLYN WHITE 
BUSINESS SERVICE NETWORK 
888-276-1293 
USPS CALL 616-776-6143 
[email-masked] 
CUSTOMER SERVICE EXCELLENCE!